Bug 1324119 - python-django-registration: Provide a Python 3 subpackage
Summary: python-django-registration: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-registration
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-04-05 14:49 UTC by Tomas Orsava
Modified: 2016-09-07 11:34 UTC (History)
4 users (show)

Fixed In Version: python-django-registration-2.1.2-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:34:00 UTC


Attachments (Terms of Use)
Spec file patch to provide Python 3 subpackage (5.17 KB, patch)
2016-07-30 13:01 UTC, Jan Beran
no flags Details | Diff
Updated spec file: modernized %prep section (5.17 KB, patch)
2016-08-07 07:35 UTC, Jan Beran
no flags Details | Diff
Updated spec file (5.46 KB, patch)
2016-08-17 16:59 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-04-05 14:49:10 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-07-26 04:31:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Beran 2016-07-30 13:01:12 UTC
Created attachment 1185808 [details]
Spec file patch to provide Python 3 subpackage

Changes in the spec file:
- update to version 2.1.2
- url and source update
- modernized specfile with Python 3 packaging

Comment 3 Jan Beran 2016-08-07 07:35:44 UTC
Created attachment 1188352 [details]
Updated spec file: modernized %prep section

Comment 4 Lumír Balhar 2016-08-15 10:26:31 UTC
Hello.

Thank you for new specfile. It looks good to me but I think that this package should have separated subpackage for documentation because docs folder contains a lot of files.

What do you think about it?

Comment 5 Jan Beran 2016-08-17 14:48:48 UTC
Hi Lumír,

if you mean to separate docs directory like *.egg-info directory, it does not work as the docs directory is not presented in the particular build directories for Python 2 and Python 3 packages. Therefore, I would prefer to keep it as is.

Comment 6 Lumír Balhar 2016-08-17 15:53:18 UTC
Hi.

I mean create separated subpackage like this:

> %package doc
> Summary:          %{summary}
> 
> %description doc
> This package contains documentation for %{name}.

and then in %files section:

> %files doc
> %doc AUTHORS PKG-INFO README.rst docs/*

and two other packages package without docs folder.

Is it now clearer?

Comment 7 Jan Beran 2016-08-17 16:59:39 UTC
Created attachment 1191690 [details]
Updated spec file

Hi Lumír,

thanks for the hint, I updated and have attached the spec file.

Comment 8 Lumír Balhar 2016-08-18 08:05:37 UTC
Hello.

Specfile looks good to me now. Thank you.

If maintainer has nothing against, we can push this changes after a week.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15293747

Comment 9 Praveen Kumar 2016-08-20 09:38:41 UTC
This looks good to me. Thanks for make it available as python3 subpackage.


Note You need to log in before you can comment on or make changes to this bug.